package edu.ntnu.cikmr.gui;

import edu.ntnu.cikmr.arbitration.cbr.Conflict;
import edu.ntnu.cikmr.arbitration.ConflictEvent;
import javax.swing.*;
import java.awt.Component;

public class SelectSolution{
    private static Boolean isShowing = false;

    public static Conflict selectSolution(Component parent, ConflictEvent e){
        if(isShowing) return null;
        synchronized(isShowing){
            isShowing = true;
            int selected = JOptionPane.showOptionDialog(parent, "Select a desired solution.", "Select solution", JOptionPane.OK_CANCEL_OPTION, JOptionPane.QUESTION_MESSAGE, null, e.getConflicts(), null);
            isShowing = false;
            if(selected >= 0 && selected < e.getConflicts().length) return e.getConflicts()[selected]; else return null;
        }
    }

}
