package edu.ntnu.cikmr.log;

public abstract class Log{
    public static final int LEVEL_INFORMATIVE = 0;
    public static final int LEVEL_DEBUG = 1;
    public static final int LEVEL_ERROR = 2;
    public static final int LEVEL_SEVERE = 3;

    private int logLevel;

    public abstract void logMessage(Object source, int level, String message);

    public void setLogLevel(int logLevel){
        if(logLevel < Log.LEVEL_INFORMATIVE) logLevel = Log.LEVEL_INFORMATIVE;
        if(logLevel > Log.LEVEL_SEVERE) logLevel = Log.LEVEL_SEVERE;
        this.logLevel = logLevel;
    }

    public int getLogLevel(){
        return logLevel;
    }

}

