package edu.ntnu.cikmr.services.context.entities;

import dk.pervasive.jcaf.entity.*;

public class Person extends GenericEntity {
    private String name;
    private String description;
    public Person(){
        setName(null);
        setDescription(null);
    }

    public Person(String peerID, String name){
        super(peerID);
        setName(name);
        setDescription(null);
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public void setName(String name) {
        this.name = name == null ? "<unnamed>" : name;
    }

    public void setDescription(String description) {
        this.description = description == null ? "" : description;
    }

    public String toXML() {
        return "<person id=\"" + getId() + "\" name=\"" + name + "\" description=\"" + description + "\">null</person>";
    }

}
