package edu.ntnu.cikmr.services.peers;

import java.util.*;

import net.jxta.protocol.*;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2007</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */
public class Peer extends Hashtable{
    private String name;
    private String ID;
    private PeerAdvertisement advertisement;
    private String description;


    public Peer(){}
    public Peer(PeerAdvertisement adv){
        advertisement = adv;
        ID = adv.getPeerID().getUniqueValue().toString();
        name = adv.getName();
        description = adv.getDescription();
    }

    public String getName(){
        return name == null ? "<unknown>" : name;
    }

    public PeerAdvertisement getAdvertisement(){
        return advertisement;
    }

    public String getDescription(){
        return description == null ? "" : description;
    }

    public String getID(){
        return ID;
    }

    public void setName(String name){
        this.name = name;
    }

    public void setAdvertisement(PeerAdvertisement advertisement){
        this.advertisement = advertisement;
    }

    public void setDescription(String description){
        this.description = description;
    }

    public void setID(String ID){
        this.ID = ID;
    }

}
