package edu.ntnu.cikmr.arbitration;

import java.util.EventObject;

import edu.ntnu.cikmr.arbitration.cbr.Conflict;

public class ConflictEvent extends EventObject{
    private CaseContainer container;
    private Conflict[] conflicts;
    private String peerID;
    private String peerName;

    public ConflictEvent(Object source){
        super(source);
    }

    public String getPeerID(){
        return peerID;
    }

    public String getPeerName(){
        return peerName;
    }

    public CaseContainer getContainer(){
        return container;
    }

    public Conflict[] getConflicts(){
        return conflicts;
    }

    public void setPeerName(String peerName){
        this.peerName = peerName;
    }

    public void setPeerID(String peerID){
        this.peerID = peerID;
    }

    public void setConflicts(Conflict[] conflicts){
        this.conflicts = conflicts;
    }

    public void setContainer(CaseContainer container){
        this.container = container;
    }

}
