package edu.ntnu.cikmr.arbitration.cbr;

import java.util.ArrayList;
import java.util.Collection;

import jcolibri.cbrcore.CBRContext;
import jcolibri.cbrcore.CBRMethod;
import jcolibri.cbrcore.exception.ExecutionException;

public class SelectAllCasesMethod extends CBRMethod{
    private static final long serialVersionUID = 1L;

    public CBRContext execute(CBRContext context) throws ExecutionException {
        context.setCases(null);
        try{
            Collection c = context.getCBRCaseBase().getAll();
            if(c != null && c.size() > 0) context.setCases(new ArrayList(c));
        } catch(Exception ex){}
        return context;
    }

}
