package edu.ntnu.cikmr.log;

import java.io.PrintStream;

public class PrintStreamLog extends Log {
    private PrintStream printStream;

    public PrintStreamLog(){
        printStream = System.out;
    }

    /**
     * logMessage
     *
     * @param source Object
     * @param level int
     * @param message String
     * @todo Implement this edu.ntnu.chkmr.log.Log method
     */
    public void logMessage(Object source, int level, String message) {
        if(message != null && level >= getLogLevel()) printStream.println(level + "\t" + message);
    }

    public void setPrintStream(PrintStream printStream){
        if(printStream == null) this.printStream = System.out; else this.printStream = printStream;
    }

    public PrintStream getPrintStream(){
        return printStream;
    }

}
