package edu.ntnu.cikmr.services.resources;

public class InvocationResult {
    private String methodName;
    private int executionCode;
    private String type;
    private Object value;

    protected InvocationResult(String methodName, int executionCode, String type, Object value){
        this.methodName = methodName;
        this.executionCode = executionCode;
        this.type = type;
        this.value = value;
    }

    public int getExecutionCode() {
        return executionCode;
    }

    public String getMethodName() {
        return methodName;
    }

    public Object getReturnValue() {
        return value;
    }

    public String getDataType(){
        return type;
    }

}
