package edu.ntnu.cikmr.workflow;

import edu.ntnu.cikmr.*;
import edu.ntnu.cikmr.services.resources.*;
import java.util.*;

public class ResourceMaintainer implements ResourceListener{
    private String name;
    private Resource resource;
    private Hashtable resources;

    public ResourceMaintainer(String name, Resource resource, Hashtable resources){
        this.name = name;
        this.resource = resource;
        this.resources = resources;
        Framework.resources.addResourceListener(this);
    }

    public void stop(){
        Framework.resources.removeResourceListener(this);
    }

    public void resourceFound(ResourceEvent e) {}

    public void resourceLost(ResourceEvent e) {
        if(e.getResource() == resource){
            stop();
            resources.remove(name);
        }
    }

    public Resource getResource() {
        return resource;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setResource(Resource resource) {
        this.resource = resource;
    }

}
