package edu.ntnu.cikmr.workflow;

import edu.ntnu.cikmr.*;

public abstract class Statement implements Executable, XMLRepresentation{
    private Activity parent;

    protected void setParent(Activity activity){
        parent = activity;
    }

    public Activity getParent(){
        return parent;
    }

    protected String resolve(String parameter){
        if(parameter == null) return parameter;
        if(parameter.startsWith("${") && parameter.endsWith("}")){
            String name = parameter.substring(2);
            name = name.substring(0, name.length() - 1);
            return getParent().getParent().getDefinition(name);
        }else{
            return parameter;
        }
    }

}
